
Redmine - Defect #12154

Redmine pdf error if page contain table

2012-10-18 17:15 - Attila Susoczki

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

We use redmine long time ago. Version: Redmine 1.2.1.stable (MySQL)

ruby: ruby-1.8.7-p334

rails: Rails 3.0.8

Since one month use a new editor:

Redmine CKEditor plugin 0.0.6 and use html table

When i copy a table to issue and make pdf from this issue, redmine said 500 Internal Server error.

From log:

Processing IssuesController#show to pdf (for 109.61.100.158 at 2012-10-18 17:06:19) [GET]

Parameters: {"format"=>"pdf", "action"=>"show", "id"=>"5401", "controller"=>"issues"}

NoMethodError (undefined method `size' for nil:NilClass):

lib/redmine/export/pdf.rb:119:in `RDMwriteHTMLCell'

lib/redmine/export/pdf.rb:393:in `issue_to_pdf'

lib/redmine/export/pdf.rb:379:in `each'

lib/redmine/export/pdf.rb:379:in `issue_to_pdf'

app/controllers/issues_controller.rb:125:in `show'

app/controllers/issues_controller.rb:121:in `show'

dispatch.fcgi:23

Rendering /var/www/sites/aion.hu/doc/redmine1.2.0/public/500.html (500 Internal Server Error)

History

#1 - 2012-10-18 17:19 - Attila Susoczki

- File table.html added

Table source code included in file

#2 - 2012-10-19 09:37 - Toshi MARUYAMA

- Resolution set to Invalid

Attila Susoczki wrote:

We use redmine long time ago. Version: Redmine 1.2.1.stable (MySQL)

ruby: ruby-1.8.7-p334

rails: Rails 3.0.8

 Redmine 1.2 Rails version is 2.3.

Since one month use a new editor:

Redmine CKEditor plugin 0.0.6 and use html table

 Please contact plugin author.

#3 - 2012-10-19 09:37 - Toshi MARUYAMA
- Status changed from New to Closed

Files

table.html 25.9 KB 2012-10-18 Attila Susoczki
